[tool.poetry]
name = "breast-cancer-detection"
version = "0.1.0"
description = ""
authors = ["Your Name <you@example.com>"]
license = "MIT"
readme = "README.md"
packages = [{include = "breast_cancer_detection"}]

[tool.poetry.dependencies]
python = ">=3.10,<3.12"
tqdm = "^4.64.1"
click = "^8.1.3"
Pillow = "^9.2.0"
numpy = "^1.23.3"
torch = "^1.12.1"
matplotlib = "^3.5.3"
scipy = "^1.9.1"
albumentations = "^1.2.1"
torchvision = "^0.13.1"
tensorboard = "^2.10.0"
scikit-learn = "^1.1.2"


[tool.poetry.group.dev.dependencies]
black = "^22.8.0"
isort = "^5.10.1"
pylint = "^2.15.2"
jupyter = "^1.0.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

[tool.poetry.scripts]
breast_cancer_detection = "breast_cancer_detection.__main__:cli"

[tool.black]
line-length = 104

[tool.isort]
profile = "black"
line_length = 104

[tool.pylint.GENERAL]
jobs = 0
disable = """
    too-few-public-methods,
    duplicate-code,
    logging-fstring-interpolation,
    too-many-instance-attributes,
    missing-module-docstring,
    missing-function-docstring,
    missing-module-docstring,
    missing-class-docstring,
    too-many-arguments,
    inconsistent-return-statements,
    too-many-ancestors,
    too-many-locals,
    unspecified-encoding,
    fixme,
    unnecessary-pass
    """

[tool.pylint.FORMAT]
max-line-length=104

[tool.pylint.BASIC]
good-names="i,j,df,x,y,f,p,ax,fig"

[tool.pylint.TYPECHECK]
# List of members which are set dynamically and missed by Pylint inference
# system, and so shouldn't trigger E1101 when accessed.
generated-members="numpy.*, torch.*"